#!/usr/bin/ruby -w

require "./core/converter.rb"
require "./core/stats.rb"
require "./core/config.rb"
require "./core/processing.rb"
require 'benchmark'

time = Benchmark.measure {
    # iterate all languages
    for lang in @langs
        filter lang

        for i in 1..6
            generate_data lang, i #create data.txt for each lesson
        end
        
        for i in 1..6 # create words_1.txt .. words_10.txt files in each lesson folder
            process lang, i
        end
    end
}

puts "execution time : " + Time.at(time.real).utc.strftime("%H:%M:%S")
